complexType "ReferencePoolItem"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 4 elements
Defined: | globally in fpml-cd-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | constituentWeight?, referencePair?, protectionTermsReference?, settlementTermsReference?
</...>

Content Model Elements (4):

  constituentWeight (in referencePoolItem), protectionTermsReference, | referencePair, settlementTermsReference

All Direct / Indirect Based Elements (1):

  referencePoolItem

Known Usage Locations

- As direct type of elements (1):
  referencePoolItem

Annotation
This type contains all the constituent weight and reference information.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="ReferencePoolItem"> <xsd:sequence> <xsd:element minOccurs="0" name="constituentWeight" type="ConstituentWeight"/> <xsd:element minOccurs="0" name="referencePair" type="ReferencePair"/> <xsd:element minOccurs="0" name="protectionTermsReference" type="ProtectionTermsReference"/> <xsd:element minOccurs="0" name="settlementTermsReference" type="SettlementTermsReference"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
constituentWeight

  Type: | ConstituentWeight, complex content

  Describes the weight of each of the constituents within the basket. If not provided, it is assumed to be equal weighted.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="constituentWeight" type="ConstituentWeight"/>

protectionTermsReference

  Type: | ProtectionTermsReference, empty content

  Reference to the documentation terms applicable to this item.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="protectionTermsReference" type="ProtectionTermsReference"/>

referencePair

  Type: | ReferencePair, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="referencePair" type="ReferencePair"/>

settlementTermsReference

  Type: | SettlementTermsReference, empty content

  Reference to the settlement terms applicable to this item.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="settlementTermsReference" type="SettlementTermsReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.